<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "AppleBusinessAPI",
  "identifier" : "/documentation/AppleBusinessAPI/Get-All-Deliveries-for-a-Webhook",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-webhooks-{}-deliveries"
  },
  "title" : "Get All Deliveries for a Webhook"
}
-->

# Get All Deliveries for a Webhook

Get a list of deliveries for a webhook.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/webhooks/{id}/deliveries" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "data": [
    {
      "type": "webhookDeliveries",
      "id": "delivery-67890",
      "attributes": {
        "createdDateTime": "2026-10-02T08:15:00Z",
        "deliveryState": "SUCCEEDED",
        "redelivery": false,
        "sentDateTime": "2026-10-02T08:15:01Z",
        "request": {
          "url": "https://example.com/webhooks/apple"
        },
        "response": {
          "httpStatusCode": 200,
          "body": "OK"
        }
      },
      "relationships": {
        "event": {
          "links": {
            "related": "https://api-business.apple.com/v1/webhookDeliveries/delivery-67890/event"
          },
          "data": {
            "type": "webhookEvents",
            "id": "event-24680"
          }
        }
      }
    }
  ],
  "links": {
    "self": "https://api-business.apple.com/v1/webhooks/webhook-12345/deliveries"
  },
  "meta": {
    "paging": {
      "limit": 100
    }
  }
}
```

## Topics

### Responses

[`object WebhookDeliveriesResponse`](/documentation/AppleBusinessAPI/WebhookDeliveriesResponse)

A response that contains a list of webhook delivery resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)